Subject: Re: [RFC PATCH net-next 1/5] selftests: forwarding: Introduce deferred commands

From: Petr Machata <[email-masked]>
Date: Mon, 26 Aug 2024 16:25:47 +0200

Ido Schimmel <[email-masked]> writes:

> On Thu, Aug 22, 2024 at 03:49:40PM +0200, Petr Machata wrote:
>> The following patches will convert several selftests to this new framework.
>
> The intention is to make sure new tests are using these helpers?

Well, I sent this as RFC because I'm not sure how far to push it. I
think it would be ideal if this were adopted, because then cleanups
either always work, or are always broken, and we don't get partial or
forgotten cleanups. That's for new tests, I do not foresee converting
the existing selftests beyond a couple examples.

>> 
>> Signed-off-by: Petr Machata <[email-masked]>
>> ---
>>  tools/testing/selftests/net/forwarding/lib.sh | 83 +++++++++++++++++++
>
> Does it make sense to place these helpers in net/lib.sh?

Yeah, it does.